Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Лисп автозаписная книжка

Лисп автозаписная книжка

Ответ
Поиск в этой теме
Непрочитано 08.09.2008, 21:47 #1
Лисп автозаписная книжка
dextron3
 
Фотограф
 
Алматы
Регистрация: 01.01.2007
Сообщений: 5,042

Хотел посоветоваться

Можно ли сделать лисп в котором бы хранились часто используемые слова и фразы в автокаде... (сами слова пополнялись в текстовом файле из которого бы читала их программа)

сам лисп имелбы интерфейс как на скриншоте...

Принцип действия:

1. Нажал на кнопку вышло окошко
2. Щелкунл двойгым щелчком
3. Затем выбрал текст или м-текст (и он заменился бы на выбранный)

очень нужно для примечаний гостов, и тп.п что не всегда можно запомнить...


Надеюсь на помощь VVA... (у Вас был похожий вариант со вставкой букв в алфавитном порядке)

Миниатюры
Нажмите на изображение для увеличения
Название: Snap1.jpg
Просмотров: 484
Размер:	23.8 Кб
ID:	9895  

__________________
инженер проектировшик с опттом программа авто гад образование высшие
Просмотров: 14217
 
Непрочитано 08.09.2008, 22:39
#2
-mavlin-


 
Регистрация: 30.04.2008
Сообщений: 399


А как насчет палитры инструментов? Не пользуемся по идейным соображениям?
Наделал блоков с нужными надписями, запихнул в палитру и в свойствах указал, чтобы при вставке взрывалось. И не неужен никакой лисп.
-mavlin- вне форума  
 
Непрочитано 08.09.2008, 22:53
#3
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


-mavlin-, как ты представляешь себе с полсотни надписей в тулпалетсе? как искать?
gipro вне форума  
 
Непрочитано 09.09.2008, 01:28
#4
-mavlin-


 
Регистрация: 30.04.2008
Сообщений: 399


Так можно сгруппировать однотипные надписи в несколько палитр.
Точно также, как и впредполагаемом лиспе.
-mavlin- вне форума  
 
Автор темы   Непрочитано 09.09.2008, 06:38
#5
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


-mavlin-, лиспом горздо удобнее, он сразу бы на прямую текст вставлял и не глючил, и тормозил как палитра...
кстати в окошке ввода, 6 экранчиков, вот там все записи удобно и распологаются, в одном госты, в другом примечания, в третьем диаметры, ....
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 09.09.2008, 07:06
#6
ShaggyDoc

Thượng Tá Quân Đội Nhân Dân Việt Nam
 
Регистрация: 14.03.2005
44d32'44"С, 33d26'51"В
Сообщений: 11,029


У нас в ruCAD это сделано. Строки вводятся в диалоговом окне (рис. 1). Кнпока Словарь выводит справочник, из которого можно выбрать строку. Справочник, в зависимости от контекста программы, может быть простым линейным для самых частых строк (рис. 2) или древовидным (рис. 3). В простой словарь при включенном флажке Добавить в словарь добавляется текущая строка при выходе по OK.

Кнопка со значком Автокада позволяет взять "что-то с буковками" из чертежа и подредактировать.
Миниатюры
Нажмите на изображение для увеличения
Название: dlg_get_string.png
Просмотров: 233
Размер:	4.4 Кб
ID:	9900  Нажмите на изображение для увеличения
Название: dlg_get_string_from_dic.png
Просмотров: 233
Размер:	7.3 Кб
ID:	9901  Нажмите на изображение для увеличения
Название: dlg_get_string_from_xml.png
Просмотров: 278
Размер:	10.1 Кб
ID:	9902  
ShaggyDoc вне форума  
 
Автор темы   Непрочитано 09.09.2008, 07:27
#7
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


ShaggyDoc, нет хочется универсального чего то, на все кады, и слегкопереносной библиотекой
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 09.09.2008, 09:15
#8
ShaggyDoc

Thượng Tá Quân Đội Nhân Dân Việt Nam
 
Регистрация: 14.03.2005
44d32'44"С, 33d26'51"В
Сообщений: 11,029


Хочется - делай. Чего-то.
ShaggyDoc вне форума  
 
Непрочитано 09.09.2008, 10:10
#9
Ander822


 
Регистрация: 16.07.2007
Minsk
Сообщений: 84


Цитата:
Сообщение от dextron3 Посмотреть сообщение
-mavlin-, лиспом горздо удобнее, он сразу бы на прямую текст вставлял и не глючил, и тормозил как палитра...
кстати в окошке ввода, 6 экранчиков, вот там все записи удобно и распологаются, в одном госты, в другом примечания, в третьем диаметры, ....
Ты не представляешь, постоянно пользуюсь палитрой - и ничего не глючит. Не работа, а одно удовольствие
Ander822 вне форума  
 
Непрочитано 10.09.2008, 15:40
#10
kp+

идущий по граблям
 
Регистрация: 26.05.2005
Днепройт
Сообщений: 3,973


А кто знает, как организовать подобную библиотеку фраз в редакторе Мтекста? В стандартном ведь можно только вставить текстовый файл целиком. Ну или дергать фрагменты из внешнего файла с помощью Блокнота. И то, и другое неудобно
Может быть, есть альтернативный редактор с библиотекой станд. фраз?
kp+ вне форума  
 
Непрочитано 10.09.2008, 15:50
#11
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,694


Мой старый код, может, и сработает:
Код:
[Выделить все]
(defun _kpblc-add-symbols (symbol-list / reg_key item counter)
                          ;|
*    Добавление стандартных символов в редактор выпадающего текста.
*    Параметры вызова:
*	symbol-list	список точечных пар вида '(("Наименование символа" . "Его описание"))
*    Примеры вызова:
(_kpblc-add-symbols (list
                      (cons "Разработчик" (_kpblc-get-user-name))
                      (cons "Катет" "\U+0009")
                      (cons "Промилле" "\U+2030")
                      ))
|;
  (setq reg_key
         (strcat "HKEY_CURRENT_USER\\" (vlax-product-key) "\\MTEXT\\Symbols")
        counter 1
        ) ;_ end of setq
  (foreach item symbol-list
    (vl-registry-write reg_key (strcat "Name " (itoa counter)) (car item))
    (vl-registry-write reg_key (strcat "Contents " (itoa counter)) (cdr item))
    (setq counter (1+ counter))
    ) ;_ end of foreach
  ) ;_ end of defun
В штатном редакторе многострочника правый пинок - Add Symbol - выбрать свое
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 10.09.2008, 18:02
#12
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Что-то типа записной книжки.
Команда NBOOK. Слова и фразы храните ввиде обычных txt файлов или файла.
Код:
[Выделить все]
(defun mip-reg-get-path ()"HKEY_LOCAL_MACHINE\\Software\\MIP")
(defun mip-reg-write (key value ) ;;;Пишем в профиль в папку МИП
(vl-registry-write (mip-reg-get-path)
(VL-PRINC-TO-STRING key)(VL-PRINC-TO-STRING value)))
(defun mip-reg-read ( key )(vl-registry-read (mip-reg-get-path)
(VL-PRINC-TO-STRING key)))
(defun mip-conv-to-str (dat)
  (cond ((= (type dat) 'INT)(setq dat (itoa dat)))
         ((= (type dat) 'REAL)(setq dat (rtos dat 2 12)))
        ((null dat)(setq dat ""))
        (t (setq dat (vl-princ-to-string dat)))))
  (defun mydclseldict (zagl info-list / fl ret dcl_id str)
(defun prepare ( / fn1 fl1 lst1 str1)
(if (vl-file-systime (setq fn1 (strcat (mip-conv-to-str(mip-reg-read "LASTDIR")) "\\"
     (mip-conv-to-str(mip-reg-read "LASTFILE")))))
    (progn
     (set_tile "tp2" (vl-filename-base fn1)) 
     (setq fl1 (open fn1 "r"))
     (while (setq str1 (read-line fl1))
      (if (/= (vl-string-trim " \t\n" str1) "")
      (setq lst1 (cons str1 lst1))))
      (close fl1)
      (setq info-list (acad_strlsort lst1))
      (start_list "info")
      (mapcar 'add_list info-list)
      (end_list)
      (set_tile "info" "0")
 
      )
    )  
  )
(defun pickdict ( / fn1 fl1 ret1 )
    (if (setq FN1 (getfiled "Выберите файл словаря" (mip-conv-to-str(mip-reg-read "LASTDIR")) "txt" 16))
      (progn
 (mip-reg-write "LASTDIR" (vl-filename-directory fn1))
 (mip-reg-write "LASTFILE" (strcat (vl-filename-base fn1)(vl-filename-extension fn1)))
 (if (vl-file-systime fn1)
   (progn
     (setq fl1 (open fn1 "r"))
     (while (setq str (read-line fl1))
       (if (/= (vl-string-trim " \t\n" str) "")
       (setq ret1 (cons str ret1))))
     (close fl1)
     (setq info-list (acad_strlsort ret1))
     (start_list "info")
            (mapcar 'add_list info-list)
            (end_list)
            (set_tile "info" "0")
     (set_tile "tp2" (vl-filename-base fn1))
     )
   )
 )
      )
    )
  (defun act-info ()
    (setq ret (nth (atoi $value) info-list))
    (mode_tile "accept" 2)
    )
    (vl-load-com)
    (if (null zagl)(setq zagl "Выбор")) ;_ end of if
    (setq fl (vl-filename-mktemp "mip" nil ".dcl"))
    (setq ret (open fl "w"))
    (mapcar '(lambda (x) (write-line x ret))
        (list    
"mydclseldict : dialog {"
(strcat "label=\"" zagl "\";")
 ": row{label=\"Источник данных\";"
 ":column{"
 ": concatenation {key=\"c1\";"
 ": text_part{label=\"Словарь: \"; key=\"tp1\";}"
 ": text_part{label=\"не задан \"; key=\"tp2\";width=30;}"
 "}}"
 ":column{"
 ": button {fixed_width=true;width=3;key=\"pick\";label= \"&Обзор<\";alignment=right;}"
 "}}"
":row{label=\"Данные\";"
 " :list_box {"
 "alignment=top ;"
 "width=51 ;"
; (if (> (length info-list) 26)
    "height= 26 ;"
 ;      (strcat "height= " (itoa (+ 3 (length info-list))) ";")) ;_ end of if
  "is_tab_stop = false ;"
  "key = \"info\";}}"
  "ok_cancel;}"
))
(setq ret (close ret))
(if (setq dcl_id (load_dialog fl))
        (if (new_dialog "mydclseldict" dcl_id)
            (progn
               (if (null info-list)(prepare))
                (start_list "info")
                (mapcar 'add_list info-list)
                (end_list)
                (set_tile "info" "0")
                (setq ret (car info-list))
                (action_tile "pick" "(pickdict)")
;                (action_tile "info" "(setq ret (nth (atoi $value) info-list))")
                (action_tile "info" "(act-info)")
;                (action_tile "info" "(progn(setq ret (nth (atoi $value) info-list))(mode_tile \"accept\" 2))")
 
                (action_tile "cancel" "(progn(setq ret nil)(done_dialog 0))")
                (action_tile "accept" "(done_dialog 1)")
                (start_dialog)
            ) ;_ end of progn
        ) ;_ end of if
    ) ;_ end of if
    (unload_dialog dcl_id)
    (vl-file-delete fl)
    ret
)
  ;;; Text To Text copy
;;; Original posted {Smirnoff}
;;; http://www.caduser.ru/cgi-bin/f1/board.cgi?t=21807yD
;;; Modifyed V. Azarko (VVA) 
;;; http://www.caduser.ru/cgi-bin/f1/board.cgi?t=21807yD
  (defun TTC_Paste(pasteStr / nslLst vlaObj hitPt
                   hitRes Row Column lst ss)
    (setq errFlag nil)
  (setvar "ERRNO" 0)
    (while (progn
      (setq Lst(nentsel "\nPaste text or first point of corner <Enter-exit> >>"))
      (cond ((= Lst "Switch")
      (TTC_ls)
      (setvar "ERRNO" 0)
      (initget "Switch")
      T
      )
;;;     ((and (null Lst)
;;;    (= (getvar "errno") 7)
;;;    )
;;;      (princ "* Missing * ")
;;;      (setvar "ERRNO" 0)
;;;      (initget "Switch")
;;;      T
;;;      )
     (t nil)
     )
      )
      );_while
 
  (if (and (null Lst)
    (= (getvar "errno") 7)
    (setq hitPt (getcorner  (setq vlaObj (cadr(GRREAD nil 1))) "\nOther point: "))
    (setq ss (ssget "_C" vlaObj hitPt '((0 . "*TEXT"))))
    )
    (progn
    (setq Lst (mapcar '(lambda(x)(cons x '((0 0 0))))
   (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
     )
   )
    )
    (setq Lst (list Lst))
    )
(foreach nsllst Lst
    (if nsllst ;(setq nslLst(nentsel "\nPaste text >"))
      (progn
  (cond
    (
     (and
       (= 4(length nslLst))
       (= "DIMENSION"(cdr(assoc 0(entget(car(last nslLst))))))
       ); end and
     (setq vlaObj
      (vlax-ename->vla-object
        (cdr(assoc -1(entget(car(last nslLst)))))))
     (if
       (vl-catch-all-error-p
         (vl-catch-all-apply
     'vla-put-TextOverride(list vlaObj pasteStr)))
         (progn
         (princ "\n Can't paste. Object may be on locked layer. ")
         (setq errFlag T)
         ); end progn
       ); end if
     ); end condition #1
    (
     (and
       (= 4(length nslLst))
       (= "ACAD_TABLE"(cdr(assoc 0(entget(car(last nslLst))))))
       ); end and
     (setq vlaObj
      (vlax-ename->vla-object
        (cdr(assoc -1(entget(car(last nslLst))))))
     hitPt(vlax-3D-Point(trans(cadr nslLst)1 0))
     hitRes(vla-HitTest vlaObj hitPt
        (vlax-3D-Point '(0.0 0.0 1.0)) 'Row 'Column)
           ); end setq
     (if(= :vlax-true hitRes)
     (progn
         (if
     (vl-catch-all-error-p
       (vl-catch-all-apply
         'vla-SetText(list vlaObj Row Column pasteStr)))
     (progn
       (princ "\n Can't paste. Object may be on locked layer. ")
       (setq errFlag T)
       ); end progn
     ); end if
         ); end progn
       ); end if
     ); end condition # 2
    (
     (and
       (= 4(length nslLst))
       (= "INSERT"(cdr(assoc 0(entget(car(last nslLst))))))
       ); end and
     (princ "\nCan't paste to block's DText or MText. Select Attribute ")
     (setq errFlag T)
     ); end condition #3
    (
     (and
       (= 2(length nslLst))
         (member(cdr(assoc 0(entget(car nslLst))))
           '("TEXT" "MTEXT" "ATTRIB" "ATTDEF" "MULTILEADER"))
       ); end and
     (setq vlaObj
      (vlax-ename->vla-object(car nslLst)))
        (if
     (vl-catch-all-error-p
       (vl-catch-all-apply
         'vla-put-TextString(list vlaObj pasteStr)))
    (progn
       (princ "\nError. Can't pase text. ")
      (setq errFlag T)
      ); end progn
     ); end if
     ); end condition #4
    (T
     (princ "\nCan't paste. Invalid object. ")
     (setq errFlag T)
     ); end condition #5
    ); end cond
             T
      ); end progn
            nil
           ); end if
  )
    ); end of TTC_Paste
  (defun C:NBOOK ( )
    (vl-load-com)
    (and
      (setq str (mydclseldict "Выберите словарь" nil))
      (TTC_Paste str)
      )
    )
(defun C:NBOOK1 ( / txt str pt tblobj row col tblset lst )
    (vl-load-com)
    (if
    (and
      (setq str (mydclseldict "Выберите словарь" nil))
      (setq txt (entmakex
      (list
        (cons 0 "TEXT")
        (cons 100 "AcDbEntity")
        (cons 100 "AcDbText")
        (cons 72 0)           ;_ выравнивание влево
        (cons 1 str)
       (cons 7 (getvar "TEXTSTYLE")) ;_Текущий стиль
        ;(cons 8 layer) ;_Текущий слой
        (cons 10 '(0 0 0))
        (cons 11 '(0 0 0))
        (cons 40 (getvar "TEXTSIZE")) ;_Текущей высотой текста (переменная TEXTSIZE)
        (cons 41 1.0) ;_Степень сжатия/растяжения
        ) ;_ list
      ) ;_ entmakex
          )
 
      )
    (progn
      (princ "\n Укажите точку вставки текста или ячейку таблицы:")
      (vl-cmdf "_.copybase" (trans '(0 0 0) 0 1) txt "" "_.erase" txt "" "_.pasteclip" "_none" pause)
        ;_ В txt примитив текста в pt точка вставки  
       (setq txt (entlast) pt (getvar "LASTPOINT"))
      (and ;_Проверяем, попала ли точка в ячейку таблицы
      (setq  tblobj nil tblset (ssget "_X" '((0 . "ACAD_TABLE"))))
      (setq lst (mapcar 'vlax-ename->vla-object(vl-remove-if 'listp (mapcar 'cadr (ssnamex tblset)))))
      (mapcar '(lambda (x)
           (or tblobj
               (and
                 (= :vlax-true (vla-HitTest x
                               (vlax-3d-point (trans pt 1 0))
                               (vlax-3d-point (trans (getvar "VIEWDIR") 1 0))
                               'row 'col))
                 (setq tblobj x)
                 )
               )
           )
        lst)
      tblobj row col
      (or (vla-SetText tblobj row col str) t)
      (entdel txt)
      )
      )
    )
    (princ)
    )
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 21.11.2011 в 19:23. Причина: Добавлен MLEADER
VVA на форуме  
 
Автор темы   Непрочитано 10.09.2008, 18:25
#13
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


Command:
Command: NBOOK
; error: no function definition: MIP-REG-GET-PATH

Command:


окошко быстро появляется и исчезает
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 10.09.2008, 19:09
#14
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Обновил # 12
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 10.09.2008, 19:18
#15
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, теперь окошко появляется, но когда выбераешь текстовый файл опять выдает

Command: NBOOK
; error: no function definition: MIP-REG-WRITE

Command:
Command: NBOOK
; error: no function definition: MIP-REG-WRITE
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 10.09.2008, 19:39
#16
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


исправил. Надеюсь больше проколов не будет
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 10.09.2008, 20:19
#17
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, спасибо нужная вещь!!!,


Offtop: посмотрите личные сообщения я отправил еще один лисп, там лисп записная книжка со вставкой текста с указанием выосты
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 11.09.2008, 12:00
#18
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


VVA, вот что у меня пишет:
Код:
[Выделить все]
Paste text or first point of corner <Enter-exit> >>
Other point: ; ошибка: неверный тип аргумента: lselsetp nil
и не запоминает, где у меня текстовый файл лежит.
gipro вне форума  
 
Автор темы   Непрочитано 11.09.2008, 12:10
#19
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


gipro, полсе перезагрузки винды не запоминает или после перезагрузки автокада?
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 11.09.2008, 13:29
#20
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


dextron3, ситуация такая:
Я запускаю nbook, вылазит окошко - "выберите словарь". Выбираю текстовый файл, выбираю нужную строчку, ОК.
Дальше см.№18
При следующем запуске nbook (ничего не перезагружая) мне приходится снова выбирать словарь.
gipro вне форума  
 
Автор темы   Непрочитано 11.09.2008, 13:36
#21
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


gipro, попробуй словарь англицкими буквами написать в названии
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 11.09.2008, 13:39
#22
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


думаю, что запомнит словарь, когда хоть раз успешно завершит команду. У меня чего-то не выходит...
gipro вне форума  
 
Непрочитано 11.09.2008, 15:45
#23
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


>gipro Исправил #12. Ошибка вылетала, когда был пустой выбор рамкой. У тебя там не было текстов. Словарь пишется в эту ветку реестра (см. выделение красным). Соответственно нужны права. Если их нет, тио можно путь изменить, например, на HKEY_CURRENT_USER
Код:
[Выделить все]
 
(defun mip-reg-get-path ()"HKEY_LOCAL_MACHINE\\Software\\MIP")
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 11.09.2008, 15:55
#24
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


А, понял... Нужно предварительно вставить любой другой текст. Просто я думал он будет вставляться прямо из окошка. Разобрался. Спасибо.
За подсказку с реестром - тоже спасибо. Теперь все работает!!
gipro вне форума  
 
Непрочитано 11.09.2008, 16:27
#25
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


gipro, Добавил в #12 Команду NBOOK1. Вставляет новый текст текущим стилем, текущей высотой. Если укажешь ячейку таблицы, то вставит в таблицу, иначе вставит как текст
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 11.09.2008, 18:57
#26
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, NBOOK1 некорректно работает чтото у меня стоит стиль GOST 2.3.04, а вставляет все в стандартном почему то что только не делал
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 11.09.2008, 20:32
#27
kp+

идущий по граблям
 
Регистрация: 26.05.2005
Днепройт
Сообщений: 3,973


Кулик Алексей aka kpblc, код может и старый, но мне подошел. Премного благодарен!
kp+ вне форума  
 
Автор темы   Непрочитано 11.09.2008, 20:49
#28
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, вот видеоролик с недоработкой лиспа
Вложения
Тип файла: rar Untitled.rar (202.7 Кб, 96 просмотров)
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 12.09.2008, 11:08
#29
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


исправил #12
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 12.09.2008, 18:56
#30
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, зароботоло! спасибо

А можно сделать ввиде вкладок чтобы считывало с нескольких текстовых документов,

тоесть вкладка к примеру КЖ, или КМ, тоесть как называется блокнотик так и вкладка называлась, потому что охото группировать свои примечания а не в разброс в хаотическом порядке...

буду ждать ответа...
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 12.09.2008, 19:56
#31
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


VVA, Работает отлично!! Именно то, что я хотел - если не лучше!!!
dextron3, умеешь ты озадачить людей Молодец!!!
gipro вне форума  
 
Непрочитано 12.09.2008, 20:49
#32
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


dextron3, DCL не позволяет делать вкладки.
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 13.09.2008, 06:44
#33
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, а можно создать кнопку макрос под данный лисп, чтобы автоматом загружала выбранный в макросе текстовый документ?, тогда можно и без вкладок обойтись
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Автор темы   Непрочитано 15.09.2008, 09:21
#34
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, а можно ли этот лисп использовать, из нескольких копий, тоесть скопировать к примру три раза и каждый и на каждый прописать отдельный текстовый файл, тоесть каждый лисп отвечает за свой собственный файл, и тогда получается на каждую кнопку прописать независимый лисп, не будет глючить реестр где хранятся настройки файла с текстом?
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 15.09.2008, 10:43
#35
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


dextron3, Можно. Данные о последнем файле хранятся в реестре
в ключах: "LASTDIR" и "LASTFILE". Сделай копию и поиском и заменой заменяй на "LASTDIR1", "LASTFILE1"; "LASTDIR2" и "LASTFILE2" и т.д.
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 15.09.2008, 12:35
#36
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, спасибо, вкладки отпали сами собой

можно небольшой вопрос нужен придаток еще в виде лиспа для записной книжки:

Исользую нумератор от Дениса, но очень сложный в настройках

Навтыкал примечаний, нужно их пронумеровать в порядке возрастания, по оси Y,

Было:

Смотри на лист 2
Консультации проектировщика по номеру...
Для отверстий ищи файлы раздела АР

Стало:

1. Смотри на лист 2
2. Консультации проектировщика по номеру...
3. Для отверстий ищи файлы раздела АР

Тоесть префик 1. пробел

Чтобы выделялось рамочкой автокада, и все тексты нумеровались

помню у вас был лисп автонумератор, может над ним поколдовать?
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 15.09.2008, 14:34
#37
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


dextron3,
Код:
[Выделить все]
(defun C:NUM_Y ( / ss start i lst ed str )
  (vl-load-com)
  (and (setq start (getint "\nНачальный номер <выход>: "))
       (setq ss (ssget "_:L" '((0 . "*TEXT"))))
       (setq lst nil i '-1)
       (repeat (sslength ss)
	 (setq lst (cons (ssname ss (setq i (1+ i))) lst))
	 )
       (setq lst (vl-sort lst '(lambda (e1 e2)
				 (> (caddr(assoc 10 (entget e1)))(caddr(assoc 10 (entget e2))))
				 )
			  )
	     )
       (foreach e1 lst
	 (setq ed (entget e1))
	 (setq str (cdr(assoc 1 ed)))
	 (setq ed (subst (cons 1 (strcat (itoa start) ". " str))
			 (assoc 1 ed)
			 ed)
	       )
	 (entmod ed)
	 (setq start (1+ start))
	 )
       )
  (princ)
  )
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 18.09.2008 в 09:49. Причина: Добавлена обработка МТЕКСТа
VVA на форуме  
 
Автор темы   Непрочитано 15.09.2008, 15:41
#38
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, спасибо!

теперь реально ускоряет работу, производительность 200% при заполнении примечаниями листы....

теперь запросто в проекте могу снипы обзацами цитировать, по моим проектам обычно обычные люди строят, как бы частный сектор, которым не по карману нанять прораба
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Автор темы   Непрочитано 17.09.2008, 18:22
#39
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, а можно еще вариацию лиспа NUM_Y, чтобы он просто цыфры по порядку выставлял, без пробела и точки (т.е. любой текст заменял на цыфры по оси Y) нужно для спецификации, потомучто иногда бывает что цыфр не хватает я копирую и использую програмку от Дениса на VBA, но она очень навороченная, а хочется простого...
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 17.09.2008, 19:12
#40
Red Nova

ՃԱՐՏԱՐԱԳԵՏ, Տ.Գ.Թ.
 
Регистрация: 23.10.2007
Торонто
Сообщений: 1,970
Отправить сообщение для Red Nova с помощью Skype™


VVA,
kpblc
Я пользуюсь мтекстом. Так что использую лисп personal mtext simbols для добавки своих символов, (наверное аналогично лиспу от крыса). Огорчает то, что там лимит в 25 строк. Нет варианта лимит увеличить, или сделать лисп работающий в мтекст эдиторе для добавки своих символов?
dextron3,
Цитата:
использую програмку от Дениса на VBA, но она очень навороченная, а хочется простого
Присоеденяюсь. Только наверное стоит оставить запрос первого номера.
__________________
Блог
Red Nova вне форума  
 
Непрочитано 17.09.2008, 19:19
#41
Sleekka

-
 
Регистрация: 24.07.2005
Москва
Сообщений: 1,453


Позволю себе одно уточнение:
Код:
[Выделить все]
                      (cons "Катет" "\U+0009")
                      (cons "Промилле" "\U+2030")
Когда я писал подобный код - имели место не срабатывания один раз из 500.
обходил так:
Код:
[Выделить все]
                      (cons "Катет" "\\U+0009")
                      (cons "Промилле" "\\U+2030")
Sleekka вне форума  
 
Непрочитано 17.09.2008, 19:26
#42
Red Nova

ՃԱՐՏԱՐԱԳԵՏ, Տ.Գ.Թ.
 
Регистрация: 23.10.2007
Торонто
Сообщений: 1,970
Отправить сообщение для Red Nova с помощью Skype™


МОДЕРАТОРЫ, КАК УДАЛИТЬ ОШИБОЧНОЕ СООБЩЕНИЕ?
__________________
Блог
Red Nova вне форума  
 
Непрочитано 17.09.2008, 19:31
#43
CB

Конструирование в области нефтеразведки
 
Регистрация: 10.02.2006
Гомель
Сообщений: 321


Код:
[Выделить все]
(cons "Катет" "\\U+0009")
(cons "Промилле" "\\U+2030")
CB вне форума  
 
Автор темы   Непрочитано 17.09.2008, 21:47
#44
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


Red Nova, а где ты хоть раз видел спецификацию которая бы не начиналась с еденицы?
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 18.09.2008, 09:01
#45
Red Nova

ՃԱՐՏԱՐԱԳԵՏ, Տ.Գ.Թ.
 
Регистрация: 23.10.2007
Торонто
Сообщений: 1,970
Отправить сообщение для Red Nova с помощью Skype™


Если на каждый элемент новая нумерация то согласен, а если сквозная нумерация то очень даже бывает. Кроме того иногда попадается такой порядок 1, 2, 3, 3', 4 ... Что тогда делать? Надо делить на два приема.
__________________
Блог
Red Nova вне форума  
 
Непрочитано 18.09.2008, 09:48
#46
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от dextron3 Посмотреть сообщение
VVA, а можно еще вариацию лиспа NUM_Y, чтобы он просто цыфры по порядку выставлял, без пробела и точки (т.е. любой текст заменял на цыфры по оси Y) нужно для спецификации, потомучто иногда бывает что цыфр не хватает я копирую и использую програмку от Дениса на VBA, но она очень навороченная, а хочется простого...
Код:
[Выделить все]
(defun C:NUM_Y1 ( / ss start i lst ed str )
  (vl-load-com)
  (and (setq start (getint "\nНачальный номер <выход>: "))
       (setq ss (ssget "_:L" '((0 . "*TEXT"))))
       (setq lst nil i '-1)
       (repeat (sslength ss)
	 (setq lst (cons (ssname ss (setq i (1+ i))) lst))
	 )
       (setq lst (vl-sort lst '(lambda (e1 e2)
				 (> (caddr(assoc 10 (entget e1)))(caddr(assoc 10 (entget e2))))
				 )
			  )
	     )
       (foreach e1 lst
	 (setq ed (entget e1))
	 (setq str (cdr(assoc 1 ed)))
	 (setq ed (subst (cons 1 (itoa start))
			 (assoc 1 ed)
			 ed)
	       )
	 (entmod ed)
	 (setq start (1+ start))
	 )
       )
  (princ)
  )
Если в коде #37 заменить (0 . "TEXT") на (0 . "*TEXT"), то будет обрабатывать и МТЕКСТ
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 18.09.2008, 10:13
#47
Солидворкер
Moderator

Конструктор (машиностроение)
 
Регистрация: 23.10.2006
Россия
Сообщений: 20,911
<phrase 1=


Цитата:
Сообщение от Red Nova Посмотреть сообщение
МОДЕРАТОРЫ, КАК УДАЛИТЬ ОШИБОЧНОЕ СООБЩЕНИЕ?
Кнопка
Солидворкер вне форума  
 
Автор темы   Непрочитано 18.09.2008, 16:27
#48
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, спасибо!

Offtop: Хотел поинтересоваться иногда дают чертежи к примеру там нарисовано три линии и стоят размеры: Общий 4500, и два один 2000 и 2501, хотя все привязки точка к точки, мне приходится выполнять стренж, на расстояние 0.33, в меньшую сторону, т.е этот размер меньше единицы но автокад в одном случа его округляет в меньшую сторону а в другом в
большую, как с этим можно побороться, так как у меня когда я черчу, такого никогда не наблюдается, но когда архитектор дает чертежи то сразу этого не заметно а потом всплывают данные косяки при использовании осей, из выданных чертежей, но самое главное архитектурные размеры показывают правильно а когда я образмериваю, то единицы и 9 выскакивают...
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 18.09.2008, 21:17
#49
Red Nova

ՃԱՐՏԱՐԱԳԵՏ, Տ.Գ.Թ.
 
Регистрация: 23.10.2007
Торонто
Сообщений: 1,970
Отправить сообщение для Red Nova с помощью Skype™


VVA, Спасибо
dextron3,
Offtop: Лето то уже кончалось.
__________________
Блог

Последний раз редактировалось Red Nova, 18.09.2008 в 21:24.
Red Nova вне форума  
 
Автор темы   Непрочитано 18.09.2008, 22:45
#50
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


Offtop: Red Nova, исправил
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 23.09.2008, 19:47
#51
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


VVA, у меня num_y не работает в локализованной версии Пишет, что "неизвестная команда"... Путь прописан, другие лиспы с этой папки работают...
gipro вне форума  
 
Непрочитано 23.09.2008, 21:15
#52
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


gipro, Может не весь код скопировал? Там то и не работать нечему.
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 23.09.2008, 21:29
#53
gipro

лайсенсед инжиниа
 
Регистрация: 15.04.2006
город-герой Волгоград (Сталинград)
Сообщений: 1,166


Заработал... после переименования из number.lsp в num.lsp...
gipro вне форума  
 
Непрочитано 23.09.2008, 21:36
#54
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Значит где-то был файл-дубликат. Набери в ком. строке
(findfile "number.lsp") и проветь тот ли путь выдает
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 27.09.2008, 21:53
#55
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, у меня сбился масштаб выводимого текста, тоесть буквы стали на масштаб больше, где что корректировать.... уже все испробовал ничего не получается........
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 28.09.2008, 10:56
#56
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Я так понял речь о NBOOK1
Код:
[Выделить все]
(setq txt (entmakex
      (list
        (cons 0 "TEXT")
        (cons 100 "AcDbEntity")
        (cons 100 "AcDbText")
        (cons 72 0)           ;_ выравнивание влево
        (cons 1 str)
       (cons 7 (getvar "TEXTSTYLE")) ;_Текущий стиль
        ;(cons 8 layer) ;_Текущий слой
        (cons 10 '(0 0 0))
        (cons 11 '(0 0 0))
        (cons 40 (getvar "TEXTSIZE")) ;_Текущей высотой текста (переменная TEXTSIZE)
        ) ;_ list
      ) ;_ entmakex
          )
Проверь значение TEXTSIZE
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Автор темы   Непрочитано 28.09.2008, 11:36
#57
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, ничего не делал он сам опять стал нормальный, что то странно как то...., все происходило в одном чертеже...
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Автор темы   Непрочитано 04.12.2008, 20:18
#58
dextron3

Фотограф
 
Регистрация: 01.01.2007
Алматы
Сообщений: 5,042


VVA, а как можно переделать чтобы писать с заданной высотой к примеру, чтобы в макросе высоту прописать лучше сделаю кнопки для часто использующихся масштабов, чтобы не раздражала постоянно разная высота при одном и томже масштабе
__________________
инженер проектировшик с опттом программа авто гад образование высшие
dextron3 вне форума  
 
Непрочитано 05.12.2008, 13:50
#59
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


См. выделенное красным в #56 . Пишется текущей высотой, хранящейся с переменной TEXTSIZE. Вот ее и меняй перед вызовом команды.
Типа такого
Код:
[Выделить все]
^C^CTEXTSIZE;3.7;NBOOK1;
Где 3.7 - высота текста
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 21.11.2011, 12:22
#60
Astartes

Котло- и реакторостроение
 
Регистрация: 25.02.2010
Барнаул
Сообщений: 794


А можно ли сделать чтобы еще коэффициент сжатия был определенный, например 0,75.
Пытался найти переменную, отвечающую за сжатие, чтобы найти ее в лиспе, но что то не осилил. ((
Astartes вне форума  
 
Непрочитано 21.11.2011, 16:07
#61
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Astartes,
Добавь поле 41
типа такого
Код:
[Выделить все]
(setq txt (entmakex
      (list
        (cons 0 "TEXT")
        (cons 100 "AcDbEntity")
        (cons 100 "AcDbText")
        (cons 72 0)           ;_ выравнивание влево
        (cons 1 str)
       (cons 7 (getvar "TEXTSTYLE")) ;_Текущий стиль
        ;(cons 8 layer) ;_Текущий слой
        (cons 10 '(0 0 0))
        (cons 11 '(0 0 0))
        (cons 40 (getvar "TEXTSIZE")) ;_Текущей высотой текста (переменная TEXTSIZE)
        (cons 41 0.75);;_Степень сжатия
        ) ;_ list
      ) ;_ entmakex
          )
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 21.11.2011, 18:19
#62
shartal


 
Регистрация: 12.08.2009
Сообщений: 338


NBOOK Отличная вещь, если бы она еще в мультивыноски могла вставлять текст.
shartal вне форума  
 
Непрочитано 21.11.2011, 19:24
#63
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от shartal Посмотреть сообщение
NBOOK Отличная вещь, если бы она еще в мультивыноски могла вставлять текст.
Теперь может. См #12
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 22.11.2011, 11:41
#64
shartal


 
Регистрация: 12.08.2009
Сообщений: 338


Где-то что-то не так. В коде еще и атрибуты упоминаются. Однако при вставке он не видит не выноски, ни мтекста, ни атрибута и вставляет текст как однострочный прямо по верх объектов. С таблицей все хорошо. Я так понимаю, после вызова команды, и указания текста из словаря нужно указать объект? Какое то определенное место объекта? Подсветки то объекта не происходит.
И еще не аннотативный он, независимо от стиля

Последний раз редактировалось shartal, 22.11.2011 в 12:10.
shartal вне форума  
 
Непрочитано 23.11.2011, 05:25
#65
Astartes

Котло- и реакторостроение
 
Регистрация: 25.02.2010
Барнаул
Сообщений: 794


Такой вопрос. Мне еще надо что бы текст вставлялся с углом наклона 15. Нашел в хелпе по лиспу что нужно добавить. Добавил строку (cons 51 0.255);;_Угол наклона. Вроде все нормально. Правда величину 0.255, которая соответствует углу 345 я нашел методом подбора.Собственно вопрос, что это за единицы измерения в лиспе?

Последний раз редактировалось Astartes, 23.11.2011 в 05:30.
Astartes вне форума  
 
Непрочитано 23.11.2011, 08:46
#66
TararykovDG

Программист-энтузиаст
 
Регистрация: 17.07.2009
Воронеж
Сообщений: 571


Цитата:
Сообщение от Astartes Посмотреть сообщение
Собственно вопрос, что это за единицы измерения в лиспе?
Радианы
__________________
cadtools
TararykovDG вне форума  
 
Непрочитано 23.11.2011, 10:10
#67
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


shartal, Проверил еще раз. У меня вставляет. Там используется nentsel, поэтому в блоках нужно указывать атрибут, а не блок. В остальном, в выноску, мультивыноску, текст, мтекст вставляет. Текст случаем не на блокированном слое?
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 23.11.2011, 12:12
#68
shartal


 
Регистрация: 12.08.2009
Сообщений: 338


Бред какой- то. У меня никуда, кроме таблицы не вставляется. Пробовал в 2008 и 2011. Слой естественно не блокирован.
Прикрепил файл, попробуйте пожалуйста в нем. Может какая- то переменная не позволяет.
Вложения
Тип файла: dwg
DWG 2010
выноска.dwg (181.2 Кб, 1269 просмотров)
shartal вне форума  
 
Непрочитано 23.11.2011, 13:38
#69
Astartes

Котло- и реакторостроение
 
Регистрация: 25.02.2010
Барнаул
Сообщений: 794


shartal, Попробывал у меня все вставляет. Какой командой пользуешся Nbook или Nbook1? Нужно просто Nbook.
У меня Акад 2011
Astartes вне форума  
 
Непрочитано 24.11.2011, 10:40
#70
shartal


 
Регистрация: 12.08.2009
Сообщений: 338


Не той командой пользовался
Все работает, спасибо.
shartal вне форума  
 
Непрочитано 25.11.2011, 14:08
#71
hwd

C, C++, C#
 
Регистрация: 07.10.2009
С-Пб.
Сообщений: 2,762
Отправить сообщение для hwd с помощью Skype™


Глянул первое сообщение и скрин. Весь топик не читал, но думаю, что моё замечание будет актуальным: в таком окошке должна быть предусмотрена возможность группировки значений по тематике. Это можно реализовать несколькими способами:
1. В окне размещён раскрывающийся список, содержащий перечень тематик, а чуть ниже его - список значений, относящихся к выбранной теме.
2. Реализовать TreeView.

Если этого не сделать, то существует вероятность того, что список со временем разрастётся настолько, что это значение будет быстрее вручную вбить, чем найти его.

имхо.
__________________
Надеюсь, ты не социальный овощ? Это определяется делами! :welcome:
hwd вне форума  
 
Непрочитано 11.08.2012, 14:22
#72
kpd_110

обыватель-конструктор
 
Регистрация: 17.05.2011
Сообщений: 115


Хоть тема и старая, но буду признателен если кто переделает код NUM_Y1 от VVA так что бы он нумеровал снизу вверх.
__________________
Не каждый лось рельсу перекусит
kpd_110 вне форума  
 
Непрочитано 12.08.2012, 12:27
#73
Modis


 
Регистрация: 12.06.2010
Липецк, Москва
Сообщений: 534


Modis вне форума  
 
Непрочитано 12.08.2012, 21:45
#74
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,694


Modis, это ты к чему?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 13.08.2012, 11:40
#75
Modis


 
Регистрация: 12.06.2010
Липецк, Москва
Сообщений: 534


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Modis, это ты к чему?
Это я привел пример (читай - вариант) к вопросу в топике. Вдруг кому-то пригодится - а-ля записная книжка
Modis вне форума  
 
Непрочитано 14.08.2012, 08:59
#76
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,795
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от kpd_110 Посмотреть сообщение
Хоть тема и старая, но буду признателен если кто переделает код NUM_Y1 от VVA так что бы он нумеровал снизу вверх.
Код:
[Выделить все]
(defun C:NUM_Y2 ( / ss start i lst ed str )
  ;;;Сортировка снизу вверх
  (vl-load-com)
  (and (setq start (getint "\nНачальный номер <выход>: "))
       (setq ss (ssget "_:L" '((0 . "*TEXT"))))
       (setq lst nil i '-1)
       (repeat (sslength ss)
	 (setq lst (cons (ssname ss (setq i (1+ i))) lst))
	 )
       (setq lst (vl-sort lst '(lambda (e1 e2)
				 (< (caddr(assoc 10 (entget e1)))(caddr(assoc 10 (entget e2))))
				 )
			  )
	     )
       (foreach e1 lst
	 (setq ed (entget e1))
	 (setq str (cdr(assoc 1 ed)))
	 (setq ed (subst (cons 1 (itoa start))
			 (assoc 1 ed)
			 ed)
	       )
	 (entmod ed)
	 (setq start (1+ start))
	 )
       )
  (princ)
  )
__________________
Как использовать код на Лиспе читаем здесь
VVA на форуме  
 
Непрочитано 15.08.2012, 17:12
#77
kpd_110

обыватель-конструктор
 
Регистрация: 17.05.2011
Сообщений: 115


Очень спасибо!!
__________________
Не каждый лось рельсу перекусит
kpd_110 вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Лисп автозаписная книжка

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Интересно где работают ЛИСП программисты? dextron3 LISP 114 17.12.2017 13:53
Лисп для копирования данных нескольких мтекстов по принципу расположения. Red Nova LISP 14 18.06.2008 22:08
Нужен лисп (пронизыватель лайаутов) dextron3 LISP 91 25.07.2007 07:37
Нужен лисп (super offset) dextron3 LISP 23 25.06.2007 12:51
Нужен лисп (детектор прямоугольников) dextron3 LISP 3 25.06.2007 09:42